## bgoffice 3.0

=== debian/changelog ===
bgoffice (3.0-12) unstable; urgency=low

  * convert bg_BG.{dic,aff} to UTF-8.
    Finally closes: #306895 and LP#346856 -- wrong charset in myspell-bg
    The problem with 'microsoft-cp1251' is that only OpenOffice.org understands
    it. Everything else needs 'cp1251' or 'windows-1251', neither of which is
    understood by OO.o. Luckily UTF-8 is OK for everyone.
  * Adopt the package (Closes: #433311)
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Sep 2010 17:50:59 +0300

bgoffice (3.0-11) unstable; urgency=medium

  * QA upload.
  * debian/aspell-bg.postrm: Don't delete explicitly the files in
    /var/lib/aspell; harmful during upgrades or package reinstallation
    (Closes: #589851).  Handle obsolete conffile removal.
  * debian/aspell-bg.postinst: Recover from the old erroneous postrm and
    touch bg{,-en}.rws and bg.compat if the files do not exist.  Use
    dpkg-maintscript-helper to handle removal of 90aspell-bg.el.
  * debian/rules (install): Create an empty var/lib/aspell/bg-en.rws.
    Replace dh_clean -k with dh_prep.  Don't install 90ibulgarian.el and
    90aspell-bg.el.
  * debian/compat: Set to 7.
  * debian/control (Standards-Version): Claim compliance with 3.9.0; no
    changes needed.
    (Build-Depends): Bump debhelper to >= 7.  Remove dictionaries-common
    and minimal version requirement for dictionaries-common-dev.
    (Section, Priority): Remove duplicate fields.
    (Depends): Remove obsolete version constraint for aspell and
    dictionaries-common.  Add ${misc:Depends}.
    (Replaces, Conflicts, Provides): Remove obsolete relationships
    regarding mybulgarian and openoffice.org.
  * debian/90ibulgarian.el:
  * debian/90aspell-bg.el: Delete; obsolete since emacs21 is gone.
  * debian/aspell-bg.preinst:
  * debian/ibulgarian.preinst:
  * debian/ibulgarian.postinst:
  * debian/ibulgarian.postrm: New files; use dpkg-maintscript-helper to
    handle the obsolete conffile removal.
  * debian/aspell-bg.info-aspell:
  * debian/ibulgarian.info-ispell: Remove obsolete bulgarian-cvs entry.
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Jul 2010 10:06:39 +0300

bgoffice (3.0-10) unstable; urgency=low

  * QA upload.
  * move dicts to /usr/share/hunspell with compat symlinks from
    /usr/share/myspell/dicts
  * stop shipping bg-BG.* and bg.* symlinks for /usr/share/hunspell 

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Feb 2010 22:26:01 +0100

bgoffice (3.0-9) unstable; urgency=low

  * QA upload.
  * Correctly unregister alternatives and remove generated files
    when removing aspell-bg (Closes: #353313)
  * Setup links for bg.{dic,aff} to bg-BG.{dic,aff} (Closes: #373739)
  * debian/control: Bump standards version to 3.8.0
  * debian/control: Add Homepage field, remove Homepage from description
  * rework debian/copyright
  * Add watch file

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 08 Jun 2008 14:34:17 +0200

bgoffice (3.0-8) unstable; urgency=low

  * Orphan the package.
  * Update Standards-Version to 3.7.2.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 16 Jul 2007 11:54:26 +0300

bgoffice (3.0-7) unstable; urgency=low

  * Alternative dependency: debconf | debconf-2.0 instead of just debconf.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 27 Sep 2005 13:06:16 +0300

bgoffice (3.0-6) unstable; urgency=low

  * Include precompiled word list bg.wl in the source package in order to
    avoid runing of quiet CPU+memory intensive "aspell munch-list" command
    on the autobuilders.  This also closes: #329881, thanks to Blars
    Blarson.
  * Updated Standards-Version: 3.6.2.1.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 24 Sep 2005 22:03:31 +0300

bgoffice (3.0-5) unstable; urgency=low

  * Repackage for the new aspell (new-style hashes).  Thanks a lot to
    Yavor Doganov and Brian Nelson and apologies for the delay.
    Closes: #319676.
  * Updated ibulgarian.info-ispell: description in Bulgarian, add
    Additionalchars and Aspell-Locales fields.
  * Invoke dh_installdebconf for aspell-bg.
  * Use installdeb-myspell rather than manually install stuff.
  * Install two Bulgarian aspell dictionaries managed by
    update-alternatives.  One that recognises only the Bulgarian words and
    second (used by default) that recognises both Bulgarian and English
    words.
  * Encode in UTF-8 the documentation in /usr/share/doc.
  * Unfortunately I have to revert the change in 3.0-4 and use again
    "microsoft-cp1251" instead of "cp1251" in bg_BG.aff.  Mozilla will
    again crash but OpenOffice is more important (IMO).  For reference:
    https://bugzilla.mozilla.org/show_bug.cgi?id=256292 and #306895.
  * Files /etc/emacs21/site-start.d/90{aspell-bg,ibulgarian}.el to
    codepage-setup cp1251.  It is still not clear to me how to support
    spelling of Bulgarian UTF-8 texts in Emacs.
  * Add entries for different Emacs versions in ibulgarian.info-ispell and
    aspell-bg.info-aspell.  Thanks to Ivan Raikov, closes: #321040.
  * Use "aspell munch-list" in order to minimise the size of the aspell
    word list (was 8.8MB uncompressed and 1.9MB compressed, now it is
    726KB uncompressed and 294K compressed).  The size of the compiled
    dictionary hash is also dramatically reduced.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 21 Sep 2005 22:05:04 +0300

bgoffice (3.0-4) unstable; urgency=low

  * Use "cp1251" instead of "microsoft-cp1251" in bg_BG.aff.  Thanks to
    Damyan Ivanov, closes: #306895.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue,  3 May 2005 12:53:44 +0300

bgoffice (3.0-3) unstable; urgency=low

  * Update for aspell ver 0.60.  Closes: #295013.
  * bulgarian.kbd: convert to UTF-8, remove unnecessary couples qw-wq
  * Use affix compression for aspell.  The new aspell dictionary is
    24 Meg (8.5 compressed), the old was 32 Meg (12,6 compressed).
  * Update Standards-Version: 3.6.1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Mon,  7 Feb 2005 09:47:27 +0200


