=== debian/control ===
Source: bgoffice
Maintainer: Damyan Ivanov <dmn@debian.org>
Section: text
Priority: optional
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7),
	       gawk,
	       ispell,
	       dictionaries-common-dev,
	       aspell-en,
	       aspell,
	       konwert
Homepage: http://bgoffice.sourceforge.net/

Package: aspell-bg
Architecture: all
Provides: aspell-dictionary
Depends: aspell,
	 dictionaries-common,
	 ${misc:Depends}
Description: Bulgarian dictionary for aspell
 This package contains all the required files to add support for
 Bulgarian language to aspell spell checker. 

Package: myspell-bg
Architecture: all
Suggests: openoffice.org
Depends: dictionaries-common,
	 ${misc:Depends}
Provides: myspell-dictionary,
	  myspell-dictionary-bg
Description: The Bulgarian dictionary for myspell
 This is the Bulgarian dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the mozilla
 spellchecker.

Package: ibulgarian
Architecture: any
Provides: ispell-dictionary
Depends: ispell,
	 dictionaries-common,
	 debconf | debconf-2.0,
	 ${misc:Depends}
Suggests: wbulgarian
Description: The Bulgarian dictionary for ispell
 This is the Bulgarian dictionary for ispell.

Package: wbulgarian
Architecture: all
Provides: wordlist
Depends: dictionaries-common,
	 debconf | debconf-2.0,
	 ${misc:Depends}
Description: The Bulgarian dictionary words for /usr/share/dict
 This package contains an alphabetic list of Bulgarian words.
