## bgoffice 4.1

=== debian/changelog ===
bgoffice (4.1-7) unstable; urgency=medium

  [ Anoop Nadig ]
  * Stop recording current time when using gzip to make the builds
    reproducible

  [ Damyan Ivanov ]
  * bump debhelper compatibility level to 11 and drop debian/compat
  * Declare conformance with Policy 4.2.1
  * Declare that debian/rules does not require to be run as root

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Nov 2018 19:53:53 +0000

bgoffice (4.1-6) unstable; urgency=medium

  * recode upstream changelog to UTF-8
  * update and sort d/clean

 -- Damyan Ivanov <dmn@debian.org>  Wed, 13 Jun 2018 18:48:25 +0000

bgoffice (4.1-5) unstable; urgency=medium

  * control: use ${aspell:Depends}, ${ispell:Depends} and ${wordlist:Depends}
  * convert contents of wbulgarian to UTF-8 (Closes: #901233)
  * make myspell-bg a transitional package depending on hunspell-bg
    (Closes: #898709)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Jun 2018 17:22:37 +0000

bgoffice (4.1-4) unstable; urgency=medium

  * Move packaging to salsa.debian.org
  * bump debhelper compatibility level to 10
  * change section from 'text' to 'localization'
  * declare conformance with Policy 4.1.4

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 May 2018 19:14:04 +0000

bgoffice (4.1-3) unstable; urgency=low

  * do not ship empty files overwritten by dictionaries-common
    Closes: #638726: debsums reports that some aspell-bg files have changed
    Thanks to Francois Gouget for reporting.
  * add build-{arch,indep} targets
  * claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Sun, 21 Aug 2011 21:08:56 +0300

bgoffice (4.1-2) unstable; urgency=low

  * Upload to unstable
  * control: add VCS-* headers
  * control: (build-) depend on ispell (>= 3.3.02)
  * control: do not start short description with an article

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Mar 2011 12:47:17 +0300

bgoffice (4.1-1) experimental; urgency=low

  * New upstream release
  * call dh_installchangelogs without argument
  * drop debian/myspell-bg.post{inst,rm}
  * aspell-bg.postinst: remove code covering after broken cleaning of
    /var/lib/aspell only relevant for squeeze/lenny
  * aspell-bg, ibulgarian, wbulgarian: improve long description
  * myspell-bg: do not ship empty usr/share/myspell/infos/ooo
  * aspell-bg: move directory creation to aspell-bg.dirs
  * rules: remove commented dh_* calls
  * rules: drop redundant dh_*
  * aspell-bg: use a .links file for symlinking
  * rules: drop unused 'main_dir' variable
  * rules/clean: make use of debian/clean
  * rules/clean: rm -rf cannot fail, no need to prefix with '-'
  * rules: streamline target dependencies
  * rules: replace standalone '>file' with 'touch file'
  * drop pre-compiled bg.wl and compile it during build. See #329954

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Sep 2010 21:22:36 +0300
