=== debian/watch ===
version=3
http://sf.net/bgoffice/bgoffice-(.*)\.tar\.gz
